Summary:	An image loading and rendering library for X11R6
Name:		imlib
Version:	1.9.15
Release:	1
License:	LGPLv2+
Group:		System Environment/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/1.9/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/1.9/%{name}-%{version}.md5sum
Patch1:		%{name}-1.9.13-sec2.patch
Patch2:		imlib-1.9.15-bpp16-CVE-2007-3568.patch
Patch6:		imlib-1.9.13-underquoted.patch
Patch8:		imlib-1.9.15-lib-bloat.patch
Patch10:	imlib-1.9.15-check-for-shm-pixmaps.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	patch
BuildRequires:	giflib-devel
BuildRequires:	gtk+-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2.2
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel
Requires:	giflib
Requires:	gtk+
Requires:	libjpeg
Requires:	libpng >= 1.2.2
Requires:	libtiff
Requires:	zlib


%description
Imlib is a display depth independent image loading and rendering library.
Imlib is designed to simplify and speed up the process of loading images and
obtaining X Window System drawables. Imlib provides many simple manipulation
routines which can be used for common operations.

The imlib package also contains the imlib_config program, which you can use to
configure the Imlib image loading and rendering library. Imlib_config can be
used to control how Imlib uses color and handles gamma corrections, etc.

Install imlib if you need an image loading and rendering library for X11R6, or
if you are installing GNOME. 


%package devel
Summary:	Development tools for Imlib applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	giflib-devel
Requires:	gtk+-devel
Requires:	libjpeg-devel
Requires:	libtiff-devel
Requires:	zlib-devel
Requires:	pkg-config

%description devel
The header files, static libraries and documentation needed for
developing Imlib applications. Imlib is an image loading and
rendering library for X11R6.

Install the imlib-devel package if you want to develop Imlib
applications. You will also need to install the imlib package.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch1 -p1 -b .sec2
%patch2 -p0 -b .bpp16
%patch6 -p1 -b .underquoted
%patch8 -p1 -b .lib-bloat
%patch10 -p1 -b .shmpixmaps


%build
# setup environment for 32-bit and 64-bit builds
export AR="/usr/bin/ar -X32_64"
export NM="/usr/bin/nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp ./Imlib/.libs/libImlib.so.1 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ./Imlib/.libs/libImlib.a ./Imlib/.libs/libImlib.so.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README AUTHORS ChangeLog COPYING.LIB
%config(noreplace) %{_sysconfdir}/im_palette-small.pal
%config(noreplace) %{_sysconfdir}/im_palette-tiny.pal
%config(noreplace) %{_sysconfdir}/im_palette.pal
%config(noreplace) %{_sysconfdir}/imrc
%{_bindir}/imlib_config
%{_libdir}/*.a
%{_mandir}/man1/imlib_config.1
/usr/bin/imlib_config
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc doc/*.gif doc/*.html
%{_bindir}/imlib-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/imlib.pc
%{_libdir}/pkgconfig/imlibgdk.pc
%{_mandir}/man1/imlib-config.1
%{_datadir}/aclocal/imlib.m4
/usr/bin/imlib-config
/usr/include/*
/usr/lib/*.la


%changelog
* Tue Jul 08 2008 Michael Perzl <michael@perzl.org> - 1.9.15-1
- first version for AIX V5.1 and higher
